=== debian/changelog ===
iptables-netflow (2.3-5) unstable; urgency=medium

  * Add missing dependency (not build-dependency) on libc6-dev for DKMS
    based kernel module compilation. (Hopefully finally closes: #904490)

 -- Axel Beckert <abe@debian.org>  Fri, 27 Jul 2018 19:47:20 +0200

iptables-netflow (2.3-4) unstable; urgency=medium

  * Set Architecture of iptables-netflow-dkms from any to linux-any.
  * Add a debian/.gitignore and a debian/gbp.conf file.
  * Declare compliance with Debian Policy 4.1.5. (No changes necessary.)
  * Fix typo in long package description of irqtop.
  * Add some more data to debian/upstream/metadata.
  * dkms.conf + debian/rules: --from-dkms-conf needs to come as first
    parameter, otherwise it's a no-op. (Closes: #904490)

 -- Axel Beckert <abe@debian.org>  Wed, 25 Jul 2018 22:10:05 +0200

iptables-netflow (2.3-3) unstable; urgency=low

  * Fix missing words and typos in README.source and repharse it a bit.
  * Set Rules-Requires-Root to "no".
  * Fix building twice in a row by running "make lclean" instead of
    "dh_auto_clean".
  * Add a README.Debian with a compact explanation how to get ipt_NETFLOW
    up and running.
  * Declare compliance with Debian Policy 4.1.4. (No changes necessary.)
  * Fix typos in debian/upstream/metadata. Thanks DUCK!
  * Fix (upstream :-) typos in irqtop man page and package description.
    Thanks lintian!

 -- Axel Beckert <abe@debian.org>  Sat, 28 Apr 2018 20:59:51 +0200

iptables-netflow (2.3-2) unstable; urgency=low

  * Fix building of iptables target plugin.
    + Add patch to disable kernel check in configure script if no dkms is
      used (i.e. at package build time).
  * Add patch to properly pass hardening flags to iptables target plugin.

 -- Axel Beckert <abe@debian.org>  Sat, 24 Mar 2018 02:22:26 +0100

iptables-netflow (2.3-1) unstable; urgency=low

  * Initial release (Closes: #620511)

 -- Axel Beckert <abe@debian.org>  Thu, 22 Mar 2018 22:59:08 +0100
