=== debian/control ===
Source: iptables-netflow
Section: kernel
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-exec,
               dkms,
               libxtables-dev,
               pkg-config
Standards-Version: 4.1.5
Homepage: https://github.com/aabc/ipt-netflow
Vcs-Git: https://salsa.debian.org/debian/iptables-netflow.git
Vcs-Browser: https://salsa.debian.org/debian/iptables-netflow
Rules-Requires-Root: no

Package: iptables-netflow-dkms
Architecture: linux-any
Depends: dkms,
         libc6-dev,
         libxtables-dev,
         pkg-config,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: iptables
Suggests: irqtop,
          nfdump
Description: iptables target which generates netflows
 ipt-netflow is an iptables/netfilter target which generates traffic
 statistics in NetFlow v5 and v9 format as well as in IPFIX format.
 .
 It provides high performance and scalability. For highest performance
 module could be run without conntrack being enabled in
 kernel. Reported to be able to handle 10Gbit traffic with more than
 1500000 pps with negligible server load (on S5500BC).

Package: irqtop
Section: utils
Architecture: all
Depends: ruby,
         ruby-curses,
         ${misc:Depends}
Recommends: ethtool
Description: Observe IRQ and SoftIRQ in a top-like fashion
 irqtop is a small ruby-written and curses-based utility which shows
 interrupt requests and software interrupts like top does for
 processes, but enhanced with colors.
