## iptables-netflow 2.4

=== openwrt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PKG_RELEASE:=2
 
 PKG_SOURCE_URL:=https://github.com/aabc/$(PKG_NAME).git
-PKG_VERSION:=2.2
+PKG_VERSION:=2.4
 PKG_SOURCE_VERSION:=v$(PKG_VERSION)
 
 #TO BUILD development version uncomment 2 rows below and remove patches
