=== debian/changelog ===
iptables-netflow (2.4-2ubuntu0.4) focal; urgency=medium

  * No change rebuild in security pocket. LP: #1914279.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Apr 2021 16:07:51 +0100

iptables-netflow (2.4-2ubuntu0.2) focal; urgency=medium

  * Fix redefinition of struct timeval with kernel 5.4 (LP: #1904753)

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 18 Nov 2020 14:56:37 +0000

iptables-netflow (2.4-2ubuntu0.1) focal; urgency=medium

  * Linux 5.8 compatibility (LP: #1899739):
    - debian/patches/0001-Compatibility-with-kernel-5.7.patch
    - debian/patches/0002-Compatibility-with-kernel-5.8.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 14 Oct 2020 07:05:28 +0000

iptables-netflow (2.4-2) unstable; urgency=medium

  * Upload to unstable again.
  * Declare compliance with Debian Policy 4.4.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Mon, 08 Jul 2019 00:19:16 +0200

iptables-netflow (2.4-1) experimental; urgency=low

  * New upstream release 2.4
    + Compatibility to at least Linux kernel 5.2.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 30 Jun 2019 00:01:56 +0200
