=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: iptables-netflow
 Section: kernel
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 11~),
                dh-exec,
                dkms,
                libxtables-dev,
                pkg-config
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Homepage: https://github.com/aabc/ipt-netflow
 Vcs-Git: https://salsa.debian.org/debian/iptables-netflow.git
 Vcs-Browser: https://salsa.debian.org/debian/iptables-netflow
