=== debian/changelog ===
iptables-netflow (2.5-2ubuntu1) groovy; urgency=medium

  * Fix the dkms file we ship, avoding sourcing of external stuff from inside.
    - this fixes dkms autopkgtestsuite (Closes: #966483)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 10:14:46 +0200

iptables-netflow (2.5-2) unstable; urgency=medium

  [ Paolo Pisati ]
  * Fix build with Linux 5.7. (Closes: #960606)

  [ Axel Beckert ]
  * debian/rules: Pass --ipt-bin=/usr/sbin/iptables-legacy to properly
    handle the fact that /usr/bin/iptables is a symlink and might point to
    either version while ipt-netflow only can cope with the legacy
    version.
  * Pass some of the options dh_auto_configure passes automatically to
    ./configure also to DMKS's configure call as it otherwise still gets
    some parts wrong.

 -- Axel Beckert <abe@debian.org>  Wed, 20 May 2020 18:51:26 +0200

iptables-netflow (2.5-1) unstable; urgency=medium

  * New upstream release 2.5
    + Compatibility to at least Linux kernel 5.6.
    + Refresh most patches. (Only offset changes.)
    + Update debian/copyright with reagrds to license clarification of
      IPT-NETFLOW-MIB.my and irqtop.
    + Also install new file gen_compat_def.
  * Mention irctop's relation with iptables-netflow-dkms in the package
    description to clarify why the Homepage header points to the
    ipt-netflow project and add an "Enhances" relation. (Closes: #958941)
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
    + Stay on compat level 12 for now to still allow building on buster.
  * Fix path detection issue with recent iptables versions (see #958945).
    Patch upstream configure script to understand some configure options
    passed by debhelper by default: --prefix, --libdir, and --includedir.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Mon, 27 Apr 2020 08:42:30 +0200
