=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: iptables-netflow
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 11~),
+Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dkms,
                libxtables-dev,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/aabc/ipt-netflow
 Vcs-Git: https://salsa.debian.org/debian/iptables-netflow.git
 Vcs-Browser: https://salsa.debian.org/debian/iptables-netflow
@@ -41,7 +40,12 @@
          ruby-curses,
          ${misc:Depends}
 Recommends: ethtool
+Enhances: iptables-netflow-dkms
 Description: Observe IRQ and SoftIRQ in a top-like fashion
  irqtop is a small ruby-written and curses-based utility which shows
  interrupt requests and software interrupts like top does for
  processes, but enhanced with colors.
+ .
+ irqtop is part of the ipt_netflow project as it has been written for
+ monitoring the usage of the ipt_NETFLOW kernel module, but can be
+ used separately.
