## iptables-netflow 2.5.1

=== debian/changelog ===
iptables-netflow (2.5.1-2ubuntu1) impish; urgency=medium

  *  Linux 5.12 support

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 21 May 2021 11:55:34 +0000

iptables-netflow (2.5.1-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * iptables-netflow-dkms: Bump dkms dependency to ensure CC/CXX are set to
    the kernel's compiler.  (Closes: #984862)

 -- Axel Beckert <abe@debian.org>  Sun, 18 Apr 2021 18:29:53 +0200

iptables-netflow (2.5.1-1) unstable; urgency=medium

  * New upstream bugfix release 2.5.1.
    + Drop 0001-Compatibility-with-kernel-5.7.patch, applied upstream.
    + Refresh disable-kernel-check.patch.
  * Declare disable-kernel-check.patch as debian-specific.
  * Add patch to not hardcode default gcc version to avoid compilation
    failures with kernels which can't be compiled with the current gcc.
  * Cherry-pick adfc6318 from upstream to fix compilation with Linux 5.9.

 -- Axel Beckert <abe@debian.org>  Sun, 18 Oct 2020 11:22:35 +0200
