=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iptables-netflow
 Section: kernel
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dkms,
@@ -15,7 +16,7 @@
 
 Package: iptables-netflow-dkms
 Architecture: linux-any
-Depends: dkms,
+Depends: dkms (>= 2.8.4-3~),
          libc6-dev,
          libxtables-dev,
          pkg-config,
