=== debian/changelog ===
iptables-netflow (2.6-7.2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Fix watch file.
  * Drop redundant Rules-Requires-Root: no.

  [ Massimiliano Pellizzer ]
  * Support Linux 6.15  (Closes: #1106550) (LP: #2116328)
    - rename-to-timer_delete_sync-in-Linux-6.15.patch

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Dec 2025 16:09:15 +0100

iptables-netflow (2.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use debhelper-compat (= 13) substitution instead of dh-exec.
  * Remove useless pushd/popd from dkms.conf.  (Closes: #966483)
  * Dump the generated compat_def.h.
  * Update from upstream Git.
  * Fix dkms status invocation.
  * Avoid dkms recursion.
  * dkms.conf: Declare BUILD_EXCLUSIVE_KERNEL_MIN="3".
  * Fix module build for Linux v4.3.
  * Unexporting find_module() has been backported to Linux v5.10.220.
    (Closes: #1076456, #1088678)
  * Fix module build for Linux v6.11.  (Closes: #1081377)
  * Fix module build for Linux v6.12.  (Closes: #1089498)
  * Work around physindev in nf_bridge_info being replaced by physinif to fix
    module build for Linux v6.8, v6.7.2, v6.6.14, v6.1.75.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Mar 2025 14:32:07 +0100

iptables-netflow (2.6-7) unstable; urgency=medium

  * Fix compilation with Linux kernel 6.8 by replacing strlcpy with
    strscpy.
  * Replace dependencies on pkg-config with pkgconf. Thanks Lintian!
  * Declare compliance with Debian Policy 4.7.0. No changes needed.
  * Bump packaging copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Tue, 21 May 2024 04:18:16 +0200

iptables-netflow (2.6-6) unstable; urgency=medium

  * Add patch to support building with kernel 6.4 based on patches by
    Lukasz Kalamlacki. (Closes: #1038203)
  * Massage upstream dkms.conf to avoid compile time warning. Thanks to
    Andreas Beckmann for the hint.

 -- Axel Beckert <abe@debian.org>  Thu, 06 Jul 2023 06:44:12 +0200

iptables-netflow (2.6-5) unstable; urgency=medium

  [ Axel Beckert ]
  * Import patches from Ubuntu to be able to build against Linux ≥ 6.2.
    + Use-explicit-fallthrough-macro.patch (refreshed)
    + use-get_random_u32_below-instead-of-deprecated-prand.patch
    LP: #2023306
  * Mention man page section of ethtool in irqtop(1). (Closes: #1005512)
  * Refresh cherry-pick_0901f028_fix_building_on_old_kernels.patch to get
    rid of some minor offset.
  * Bump packaging copyright years in debian/copyright.
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)

  [ Helmut Grohne ]
  * Add patch to fix FTCBFS: Use host tools. (Closes: #1024942)

 -- Axel Beckert <abe@debian.org>  Thu, 15 Jun 2023 01:16:23 +0200

iptables-netflow (2.6-4+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Dump the generated compat_def.h.
  * Avoid dkms recursion.
  * Unexporting find_module() has been backported to Linux v5.10.220.
    (Closes: #1076456, #1088678)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Mar 2025 15:45:27 +0100

iptables-netflow (2.6-4) unstable; urgency=medium

  * Acknowledge NMU. Thanks Andreas!
  * Cherry-pick upstream commit 0901f028 "fix building on old kernels".
    (Closes: #1035511)

 -- Axel Beckert <abe@debian.org>  Wed, 10 May 2023 18:22:39 +0200

iptables-netflow (2.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to dh-sequence-dkms.  (Closes: #1027874)
  * Declare Testsuite: autopkgtest-pkg-dkms.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 20 Jan 2023 11:27:09 +0100

iptables-netflow (2.6-3) unstable; urgency=high

  * Cherry-pick upstream commit 6a55739a to fix build with kernel 5.15 and
    above. (Closes: #1005401, LP: #1951611)
  * Update lintian overrides wrt. tag formatting changes.
  * Update copyright years in debian/copyright. Thanks Lintian!

 -- Axel Beckert <abe@debian.org>  Mon, 14 Feb 2022 09:21:27 +0100

iptables-netflow (2.6-2) unstable; urgency=high

  * Cherry-pick 66e43041 ("Namespace sk_error_report") from upstream to
    fix module build with kernel 5.14. (Closes: #994883)
  * Update lintian overrides to include line numbers.

 -- Axel Beckert <abe@debian.org>  Thu, 23 Sep 2021 00:45:21 +0200

iptables-netflow (2.6-1) unstable; urgency=medium

  * New upstream release 2.6.
    - Drop add-quoting-needed-by-dh_dkms.patch, applied upstream.
    - Drop cherry-picked patch (upstream commit adfc6318).
    - Refresh remaining patches as needed.
    - Fixes race condition during gen_compat_def on filesystems w/o
      microsecond resolution. (Closes: #972455)
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Bump debhelper-compat to 13.

 -- Axel Beckert <abe@debian.org>  Tue, 24 Aug 2021 23:02:21 +0200
