=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: iptables-netflow
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-exec,
-               dkms,
+Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-dkms,
                libxtables-dev,
-               pkg-config
-Standards-Version: 4.5.0
+               pkgconf
+Standards-Version: 4.7.0
 Homepage: https://github.com/aabc/ipt-netflow
 Vcs-Git: https://salsa.debian.org/debian/iptables-netflow.git
 Vcs-Browser: https://salsa.debian.org/debian/iptables-netflow
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: iptables-netflow-dkms
 Architecture: linux-any
 Depends: dkms (>= 2.8.4-3~),
          libc6-dev,
          libxtables-dev,
-         pkg-config,
+         pkgconf,
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: iptables
