=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ipt-netflow-$1.tar.gz%" \
   https://github.com/aabc/ipt-netflow/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
